Firebase + Node.js:错误:未findXMLHttpRequest兼容性库

Firebase + Node.js

在iOS上:

  1. 安装了Node.js
  2. npm安装firebase – 保存
  3. 节点test.js

其中test.js是连接到Firebase的非常简单的脚本:

var firebase = require("firebase/app"); require("firebase/auth"); var config = { ... }; var app = firebase.initializeApp(config); // Works fine firebase.auth().signInWithEmailAndPassword(…); // Throws error 

抛出的错误是

 Error: The XMLHttpRequest compatibility library was not found. 

我忽略了什么? 谢谢。

       

网上收集的解决方案 "Firebase + Node.js:错误:未findXMLHttpRequest兼容性库"

通过使用Angularfire2和通用服务器端渲染,我遇到了同样的问题。 我已经通过将xmlhttprequest添加到我的server.js文件来解决它。

像这样:

npm install xmlhttprequest --save

并添加如下:

global.XMLHttpRequest = require('xmlhttprequest').XMLHttpRequest;

也许它有助于某人!

Mmmhhh。 有趣。 通过将多个“必需”行(从Firebase文档中提取)更改为单个:

 var firebase = require("firebase"); 

它开始工作很好。